//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function cargar_sedes(){

var parametros = {"accion":'sedes'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#sedes").html(response);
                        cargar_periodos();
           }
        });
}

//-------------------------------------
function limpiar(){
    
            
  var dir=parametro('dir');
  
  if(dir=='1'){     
    window.location.href="nota_faltante.php?dir=1";
  }else{
    var v1=parametro('id');
    window.location.href="nota_faltante.php?dir=2&id="+v1;
  }
//document.getElementById("alumnos").innerHTML="";
}


//-------------------------------------

function cargar_periodos(){

var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#periodos").html(response);
           }
        });
}

//-------------------------------------

function mostrar_grados(){

var s=document.getElementById('sedes').value;

var parametros = {"accion":'grados',"sede":s};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grados").html(response);
           }
        });

}

//-------------------------------------

function mostrar_grupos(){

var s=document.getElementById('sedes').value;
var g=document.getElementById('grados').value;

var parametros = {"accion":'grupos',"sede":s,"grado":g};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);

           }
        });

}

//-------------------------------------

function consulta_alumnos(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;

if (g==''){
    alert("SELECCIONE GRADO");
    exit;
}

if (c==''){
    alert("SELECCIONE GRUPO");
    exit;
}

var parametros = {"accion":'listado_alumnos',"grado":g,"grupo":c};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        $("#alumnos").html(response);                       
           }
        });             
}

//--------------------------------------

function activar_alumno(codigo){

var cd=document.getElementById(codigo).checked;

var parametros = {"accion":'activar_alumno',"codigo":codigo,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
}


function retornar(){
 
   document.location.href="../menu.php";

}

//-------------------------------------
function limpiar(){

   document.getElementById('alumnos').innerHTML='';

}

//-------------------------------------

function marcar(source){

        checkboxes=document.getElementsByTagName('input'); //obtenemos todos los controles del tipo Input

        for(i=0;i<checkboxes.length;i++) //recoremos todos los controles
        {
            if(checkboxes[i].type == "checkbox") //solo si es un checkbox entramos
            {
                checkboxes[i].checked=source.checked; //si es un checkbox le damos el valor del checkbox que lo llam&oacute; (Marcar/Desmarcar Todos)
            }
        }

      //-----------------------------------------------------------
      var estado=document.getElementById('casilla').checked;
     
      var parametros = {"accion":'marcar_desmarcar',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
    }

//-----------------------------------------------------------

function pdf_curso(){


var p=document.getElementById('periodos').value;
var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;

if (p==''){
    alert("SELECCIONE PERIODO");
    exit;
}

if (g==''){
    alert("SELECCIONE GRADO");
    exit;
}

if (c==''){
    alert("SELECCIONE GRUPO");
    exit;
}

   // el parametro rango es para imprimir boletines por rango- 
    window.open("../boletin_academico/app/model/reportes/boletin_curso_rangos.php?per="+p+"&grado="+g+"&curso="+c,'preview2');

}